import { get, post } from '@/api/request';

const env = import.meta.env;
const PREFIX = env.VITE_API_PREFIX_SYSTEM;

// 列表
export const pageApi = (params: any) => {
  return post(`${PREFIX}systemLog/page`, params);
};
// 获取某天每小时在线用户统计
export const getHourlyOnlineStatisticsApi = (params: any) => {
  return get(`${PREFIX}systemLog/getHourlyOnlineStatistics`, params);
};

// 统计某时间段(天)的用户登录数
export const getUserLoginStatisticsApi = (params: any) => {
  return post(`${PREFIX}systemLog/getUserLoginStatistics`, params);
};
